#
# spec file for package perl-Sub-Override
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Override
Version:        0.09
Release:        bp156.3.1
%define cpan_name Sub-Override
Summary:        Perl extension for easily overriding subroutines
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Override/
Source:         http://www.cpan.org/authors/id/O/OV/OVID/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Fatal) >= 0.010
Requires:       perl(Test::Fatal) >= 0.010
%{perl_requires}

%description
Perl extension for easily overriding subroutines

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.09
    Switch from Test::Exception to Test::Fatal.
    Fix two typos on the POD. Patches from Ansgar Burchardt and david.skyba.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug 23 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- changelog to changes file
* Wed Jun 21 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Update
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Initial release
